package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

@ApiModel
public class DrpSupplierPageDTO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商编号")
   private String supplierNum;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("主要联系人")
   private String linkman;
   @ApiModelProperty("供应商状态(1-待审核,2-审核通过,3-禁用)")
   private Integer status;
   @ApiModelProperty("供应类目")
   private List<Long> categoryIdList;
   @ApiModelProperty("供应商评分")
   private BigDecimal supplierScore;
   @ApiModelProperty("是否绑定供应商账号(1是2否)")
   private Integer ifBindSupplierUser;
   @ApiModelProperty("区域id列表")
   private List<Long> areaIdList;
   @ApiModelProperty("是否分页")
   private Integer isPaging =0;

   public Integer getIsPaging() {
      return isPaging;
   }

   public void setIsPaging(Integer isPaging) {
      this.isPaging = isPaging;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierNum() {
      return this.supplierNum;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getLinkman() {
      return this.linkman;
   }

   public Integer getStatus() {
      return this.status;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public BigDecimal getSupplierScore() {
      return this.supplierScore;
   }

   public Integer getIfBindSupplierUser() {
      return this.ifBindSupplierUser;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public DrpSupplierPageDTO setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierPageDTO setSupplierNum(final String supplierNum) {
      this.supplierNum = supplierNum;
      return this;
   }

   public DrpSupplierPageDTO setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
      return this;
   }

   public DrpSupplierPageDTO setLinkman(final String linkman) {
      this.linkman = linkman;
      return this;
   }

   public DrpSupplierPageDTO setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpSupplierPageDTO setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
      return this;
   }

   public DrpSupplierPageDTO setSupplierScore(final BigDecimal supplierScore) {
      this.supplierScore = supplierScore;
      return this;
   }

   public DrpSupplierPageDTO setIfBindSupplierUser(final Integer ifBindSupplierUser) {
      this.ifBindSupplierUser = ifBindSupplierUser;
      return this;
   }

   public DrpSupplierPageDTO setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
      return this;
   }

   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierPageDTO(supplierId=" + var10000 + ", supplierNum=" + this.getSupplierNum() + ", supplierName=" + this.getSupplierName() + ", linkman=" + this.getLinkman() + ", status=" + this.getStatus() + ", categoryIdList=" + String.valueOf(this.getCategoryIdList()) + ", supplierScore=" + String.valueOf(this.getSupplierScore()) + ", ifBindSupplierUser=" + this.getIfBindSupplierUser() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ")";
   }
}
